NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 4.11. Unit Commands

This chapter describes NVML operations that change the state of the unit. For S-class products. Each of these requires root/admin access. Non-admin users will see an NVML_ERROR_NO_PERMISSION error code when invoking any of these methods.

### Functions

nvmlReturn_t nvmlUnitSetLedState ( nvmlUnit_t unit, nvmlLedColor_t color )

### Functions

nvmlReturn_t nvmlUnitSetLedState ( nvmlUnit_t unit, nvmlLedColor_t color )

  ###### Parameters

  `unit`
    The identifier of the target unit
  `color`
    The target LED color

  ###### Returns

  - NVML_SUCCESS if the LED color has been set
  - NVML_ERROR_UNINITIALIZED if the library has not been successfully initialized
  - NVML_ERROR_INVALID_ARGUMENT if unit or color is invalid
  - NVML_ERROR_NOT_SUPPORTED if this is not an S-class product
  - NVML_ERROR_NO_PERMISSION if the user doesn't have permission to perform this operation
  - NVML_ERROR_UNKNOWN on any unexpected error

  ###### Description

  Set the LED state for the unit. The LED can be either green (0) or amber (1).

  For S-class products. Requires root/admin permissions.

  This operation takes effect immediately.

  Current S-Class products don't provide unique LEDs for each unit. As such, both front and back LEDs will be toggled in unison regardless of which unit is specified with this command.

  See nvmlLedColor_t for available colors.

  See also:

  nvmlUnitGetLedState()

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback